Module jdk.javadoc
Package com.sun.javadoc

## Interface PackageDoc

All Superinterfaces:
  Comparable<Object>, Doc

    public interface PackageDoc
    extends Doc

Represents a java package. Provides access to information about the package, the package's comment and tags, and the classes in the package.

Each method whose return type is an array will return an empty array (never null) when there are no objects in the result.

Since:
  1.2

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassDoc[]` `allClasses()` Get all included classes and interfaces in the package.
`ClassDoc[]` `allClasses(boolean filter)` Get all classes and interfaces in the package, filtered to the specified access modifier option.
`AnnotationDesc[]` `annotations()` Get the annotations of this package.
`AnnotationTypeDoc[]` `annotationTypes()` Get included annotation types in this package.
`ClassDoc[]` `enums()` Get included enum types in this package.
`ClassDoc[]` `errors()` Get included Error classes in this package.
`ClassDoc[]` `exceptions()` Get included Exception classes in this package.
`ClassDoc` `findClass(String className)` Lookup a class or interface within this package.
`ClassDoc[]` `interfaces()` Get included interfaces in this package, omitting annotation types.
`ClassDoc[]` `ordinaryClasses()` Get included ordinary classes (that is, exclude exceptions, errors, enums, interfaces, and annotation types) in this package.

### Methods inherited from interface com.sun.javadoc.Doc

`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

### Method Detail

#### allClasses

    ClassDoc[] allClasses(boolean filter)

Get all classes and interfaces in the package, filtered to the specified access modifier option.

Parameters:
  `filter` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
Returns:
  filtered classes and interfaces in this package
Since:
  1.4

#### allClasses

    ClassDoc[] allClasses()

Get all included classes and interfaces in the package. Same as allClasses(true).

Returns:
  all included classes and interfaces in this package.

#### ordinaryClasses

    ClassDoc[] ordinaryClasses()

Get included ordinary classes (that is, exclude exceptions, errors, enums, interfaces, and annotation types) in this package.

Returns:
  included ordinary classes in this package.

#### exceptions

    ClassDoc[] exceptions()

Get included Exception classes in this package.

Returns:
  included Exceptions in this package.

#### errors

    ClassDoc[] errors()

Get included Error classes in this package.

Returns:
  included Errors in this package.

#### enums

    ClassDoc[] enums()

Get included enum types in this package.

Returns:
  included enum types in this package.
Since:
  1.5

#### interfaces

    ClassDoc[] interfaces()

Get included interfaces in this package, omitting annotation types.

Returns:
  included interfaces in this package.

#### annotationTypes

    AnnotationTypeDoc[] annotationTypes()

Get included annotation types in this package.

Returns:
  included annotation types in this package.
Since:
  1.5

#### annotations

    AnnotationDesc[] annotations()

Get the annotations of this package. Return an empty array if there are none.

Returns:
  the annotations of this package.
Since:
  1.5

#### findClass

    ClassDoc findClass(String className)

Lookup a class or interface within this package.

Parameters:
  `className` - A String containing the name of the class to look up.
Returns:
  ClassDoc of found class or interface, or null if not found.